<?php
/* script inserimento_fileseq.php richiamato dalla pagina
   formInserimento2_fileseq.html */

error_reporting(0);           // disabilita tutte le segnalazioni di errore
/*
Se, nel file "php.ini" la caratteristica "track_errors"  abilitata, qualsiasi
messaggio di errore generato dall'espressione sar salvato nella
variabile globale $php_errormsg. Se lo script  pubblicato presso un
provider  ovvio che l'abilitazione o meno della caratteristica
"track_errors" dipende dal provider e, quindi, vengono visualizzati solo
i messaggi preparati nello script.
*/

// si controlla l'inserimento di dati obbligatori
if($_POST['txtCognome'] && $_POST['txtNome'])
{
   $nomefile = "rubricas.txt";      // nome del file

   /* struttura del record "rubricas.txt"  :
     cognome,nome,via,citta,telefono         */

// la funzione trim elimina gli spazi iniziali e finali in una stringa

    $cognome=trim($_POST['txtCognome']);
    $nome=trim($_POST['txtNome']);
    $via=trim($_POST['txtIndirizzo']);
    $citta=trim($_POST['txtCitta']);
    $telefono=trim($_POST['txtTelefono']);

    /* apertura del file in sola scrittura  posizionando il puntatore
       alla fine del file. Se il file non esiste viene creato.*/
      $f = fopen($nomefile, "a");

      if($f)
       {

/* In DOS (e Windows) il fine riga si ottiene con la sequenza di escape  \r\n
 In linux/unix con l'escape  \n
 In questo caso vengono usati per scrivere un nuovo record su una riga nuova
 L'escape \t (tabulazione orizzontale) viene usato per separare i vari
 campi del record  */

        // si costruisce una stringa con tutti i campi inseriti
        $rubrica = $cognome."\t".$nome."\t".$via."\t".$citta.
                  "\t".$telefono."\r\n";

        fwrite($f,$rubrica);      // scrittura nel file
        fclose($f);               //  chiusura del file

        $msg="<b>Inserimento dati avvenuto con successo</b>";
       }
      else
       {
         $errore = "Errore ".$php_errormsg;
         $msg= $errore."<br> durante l'apertura del file ".$nomefile;
       }

   // visualizzazione messaggi

     echo "<center><br />";
     echo $msg;
     echo("<br /><a href='formInserimento2_fileseq.html'>Indietro</a>");
     echo "</center>";

}
else
{
   echo "<center><br />";
   echo("Non sono stati inseriti i dati obbligatori");
   echo("<br /><a href='formInserimento2_fileseq.html'>Indietro</a>");
   echo "</center>";

}
?>