<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Form per inserire dati in un file ad accesso diretto con PHP</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<meta name="generator" content="PSPad editor, www.pspad.com" />
<style type="text/css">
body {font-family:'comic sans ms',verdana, 'Times New Roman';
     text-align:center;background-color:#efefea;}
form {width: 500px;
      text-align:left;}              /* altrimenti tutti gli elementi
                                         risulterebbero centrati*/
form fieldset {margin: 0 auto;width:90%;height:400px; border : 1px solid  #000;
               background-color:#fc6;font-size:20px;}
form fieldset legend{font-size:18px;color:#009;}
form label {float:left; width: 120px; text-align: right;margin-right:20px;
            font-family:verdana,arial,'Times New Roman';font-size:16px;}
#messaggio {color : #c00;width:90%; font-weight:bold; font-size:20px;
            margin-top:50px;}
</style>

<script Language="JavaScript" Type="text/javascript">
<!--
/* la funzione nascondi() serve per nascondere il div contenente i
   messaggi. Viene richiamata dall'evento onfocus associato
   alla prima casella di testo del form e dall'evento onclick associato
   al pulsante Annulla
*/
function nascondi()
{
   document.getElementById("messaggio").style.display="none";
}

//-->
</script>
</head>
<body>
 <br /><br />
<div align="center">
<form  id="form" name="form"  action ="#" method="post">
  <fieldset>
    <legend>Form per inserire dati in un file ad accesso diretto</legend>
    <br />
      <label for="txtCognome"><strong>Cognome</strong> </label>
          <input type="text" id="txtCognome" name="txtCognome"
                  value=""  maxlength="20" size="25"
                  onfocus = "javascript:nascondi()" /><br /><br />
      <label for="txtNome"><strong>Nome</strong> </label>
          <input type="text" id="txtNome" name="txtNome"
                  value="" maxlength="20" size="25" /><br /><br />
      <label for="txtIndirizzo">Indirizzo</label>
          <input type="text" id="txtIndirizzo" name="txtIndirizzo"
                value=""  maxlength="30" size="35" /><br /><br />
      <label for="txtCitta">Citt </label>
          <input type="text" id="txtCitta" name="txtCitta"
                  value=""  maxlength="30" size="35" /><br /><br />
      <label for="txtTelefono">Telefono</label>
          <input type="text" id="txtTelefono" name="txtTelefono"
                value=""  maxlength="15" size="20" /><br /><br />

       <div align="center" style="margin-top:30px">
         <input type="submit" value="Invia" />
         <input type="reset"  value= "Annulla"
                 onclick = "javascript:nascondi()" />
         <input type="button" value="Indietro" "
                onclick="location.href='homefile.html';" />
       </div>
     <br />
  </fieldset>
</form>
</div>

<?php
error_reporting(0);         // disabilita la visualizzazione degli errori

/*
Se, nel file "php.ini" la caratteristica "track_errors"  abilitata, qualsiasi
messaggio di errore generato dall'espressione sar salvato nella
variabile globale $php_errormsg. Se lo script  pubblicato presso un
provider  ovvio che l'abilitazione o meno della caratteristica
"track_errors" dipende dal provider e, quindi, vengono visualizzati solo
i messaggi preparati nello script.
*/
if($_POST)
{
   $nomefile = "rubrica.txt";      // nome del file

  /* struttura del record "rubrica.txt"  :
     cognome char(20)
     nome char(20)
     via char(30)
     citta char(30)
     telefono char(30)
  */

  // la funzione trim elimina gli spazi iniziali  e finali in una stringa

  $cognome=trim($_POST['txtCognome']);
  $nome=trim($_POST['txtNome']);
  $via=trim($_POST['txtIndirizzo']);
  $citta=trim($_POST['txtCitta']);
  $telefono=trim($_POST['txtTelefono']);


  $msg='';
  if ($cognome=='' || $nome=='')
    {
        $msg="Manca un dato obbligatorio !";
    }
  else
    {

    /*
      La funzione  : string sprintf ( string format [, mixed args] )
      (consultare http://www.docmirror.net/it/php/function.sprintf.html)
      serve per formattare una stringa in base al parametro format.
      In questo caso con il format "%-Ns" si ottiene una stringa di N caratteri
      completata da spazi a destra dell'ultimo carattere significativo.
      Usando questa funzione si ottengono, quindi, delle stringhe che hanno
      tutte la stessa lunghezza, lunghezza  specificata da N.
    */

    $cognome =  sprintf("%-20s",$cognome);
    $nome =  sprintf("%-20s",$nome);
    $via =  sprintf("%-30s",$via);
    $citta =  sprintf("%-30s",$citta);
    $telefono =  sprintf("%-30s",$telefono);

/* apertura del file in sola scrittura  posizionando il puntatore
   alla fine del file. Se il file non esiste viene creato. */

      $f = fopen($nomefile, "a");
      if($f)
       {
/*
 In DOS (e Windows) il fine riga si ottiene con la sequenza di escape  \r\n
 In linux/unix con l'escape  \n
 In questo caso vengono usati per scrivere un nuovo record su una riga nuova
 L'escape \t (tabulazione orizzontale) viene usato per separare i vari
 campi del record
*/

      // si costruisce una stringa con tutti i campi inseriti
          $rubrica = $cognome."\t".$nome."\t".$via."\t".$citta.
                    "\t".$telefono."\r\n";

          fwrite($f,$rubrica);      // scrittura nel file
          fclose($f);               //  chiusura del file

          $msg="<b>Inserimento dati avvenuto con successo</b>";
       }
      else
       {
         $errore = "Errore ".$php_errormsg;
         $msg= $errore."<br> durante l'apertura del file ".$nomefile;
       }
    }

   // visualizzazione messaggi
   ?>
     <div align="center">
       <div id="messaggio"><? echo $msg ?></div>
     </div>
   <?php

}
?>
</body>
</html>