<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Form per inserire dati in un file di testo con PHP</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<meta name="generator" content="PSPad editor, www.pspad.com" />
<style type="text/css">
body {font-family:'comic sans ms',verdana, 'Times New Roman';
     text-align:center;background-color:##efefea;}
form {width: 700px;
      text-align:left;}              /* altrimenti tutti gli elementi
                                         risulterebbero centrati*/
form fieldset {margin: 0 auto;width:100%;height:450px; border : 1px solid  #000;
               background-color:#fc6;font-size:20px;}
form fieldset legend{font-size:20px;color:#009;}
form label {float:left; width: 120px; text-align: right;margin-right:20px;
            font-family:verdana,arial,'Times New Roman';font-size:16px;}
form textarea {margin-left:15px;}
</style>

<?php
function ricarica_pagina()
{
/* questa funzione serve, tramite javascript integrato a php, a ricaricare
   la stessa pagina in cui si stanno effettuando delle modifiche.  Senza
   questa funzione dopo aver effettuato le modifiche ad oggetti presenti
   nel form e cliccato sul pulsante invia viene visualizzata la pagina con
   i valori precedenti alle modifiche (provare !!). In questo modo la pagina
   viene richiamata e ricaricata e, quindi, contiene le modifiche effettuate. */

 /* la funzione $_SERVER['PHP_SELF'] ricava il percorso completo della pagina
     rispetto alla root. In questo caso serve per richiamare la stessa pagina
     senza specificare il nome della stessa. */

  $ricarica=$_SERVER['PHP_SELF'];
  $inserimento="Inserimento dati avvenuto con successo";
  echo "<script language=\"JavaScript\">\n";
  echo "alert(\"$inserimento\");\n";
  echo "window.location.href=(\"$ricarica\");\n";
  echo "</script>";
}
?>

</head>
<?php
 error_reporting(0);             // disabilita tutte le segnalazioni di errore
 $nomefile = "testo.txt";        // nome del file
 $testo="";                      // variabile per il contenuto del file
 $f = fopen($nomefile, "r");     // apertura del file in lettura
 if($f)                          // se il file esiste si legge
   {
   /* la funzione file_get_contents() permette di leggere un file ed
      inserirlo dentro una stringa. */
     $testo = file_get_contents($nomefile);

   /*   in alternativa si pu usare il seguente ciclo che legge un record
        per volta e costruisce una stringa contenente tutti i record del file

             while (!feof ($f))               // controllo fine file
                {
                   $record = fgets($f);
                   $testo=$testo.$record;
                }
     */
       fclose($f);        // chiusura del file
   }


/* il testo inserito in una textarea e poi passato ad un codice PHP perde gli
   eventuali ritorni a capo inseriti dall'utente e viene visualizzato
   "di continuo".  Per risolvere il problema  sufficiente usare la funzione
   nl2br() :
                    $testo =  nl2br($testo);
*/
?>
<body>
<br />
<div align="center">
<form  id="form" name="form"  action ="" method="post">
<fieldset>
  <legend>Inserimento dati in un file di testo</legend>
  <br />
   <textarea rows="20" cols="80" name="testo" id="testo"><?php echo $testo; ?>
   </textarea >

  <div align="center" style="margin-top:20px";>
     <input type="submit" value="Invia" />
     <input type="reset"  value= "Annulla" />
     <input type="button" value="Indietro"
              onclick="location.href='homefile.html';" />
 </div>
</fieldset>
</form>
</div>

<?php
if($_POST)
{
  $testo=$_POST['testo'];

/* da http://www.lapaweb.com/htmlspecialchars-funzione-php.html
 Nel linguaggio Php per visualizzare il codice HTML senza farlo interpretare
 dal browser si ricorre alla funzione htmlspecialchars(). La funzione permette
 di convertire una stringa sostituendo i caratteri speciali <, >, ", &
 nei corrispondenti caratteri HTML, &lt;, &gt;, &quot;, &amp;.

Esempio :

    <?
    $stringa = "<testo di prova>";
    $stringa = htmlspecialchars($stringa);
    echo $stringa;
    ?>

Al termine dell'esempio la variabile $stringa conterr il testo
"&lt;testo di prova&gt;" privo dei simboli < e >. Al loro posto troviamo
il codice che ne identifica il carattere come testo
(&lt; al posto di < e &gt; al posto di >).

Un'altra funzione utile per rimuovere i tags html nelle stringhe  la
funzione htmlenties(). Quest'ultima  pi ampia della precedente e
converte tutti i caratteri che hanno un equivalente Html.
In questo esempio si usa la funzione htmlspecialchars() per consentire,
nell'inserimento del testo, di inserire anche i caratteri speciali usati da HTML.
*/
  $testo= htmlspecialchars ($testo);
  $nomefile = "testo.txt";        // nome del file
  /* apertura del file in sola scrittura  posizionando il puntatore
     all'inizio del file. Se il file non esiste viene creato.*/

    $f = fopen($nomefile, "w");

    if($f)
     {
        fwrite($f,$testo);            // scrittura nel file
        fclose($f);                  //  chiusura del file
       /*   per ricaricare la stessa pagina dopo la modifica
            altrimenti non si vedono le modifiche apportate  */
         ricarica_pagina();
     }
    else
     {
       $errore = "Errore ".$php_errormsg;
       $msg= $errore."<br> durante l'apertura del file ".$nomefile;
       echo "<br /><center>".$msg."</center>";
     }
}
?>
</body>
</html>